Page MenuHomePhabricator

[Matrix] Add __builtin_matrix_column_store to Clang.
ClosedPublic

Authored by fhahn on Jan 15 2020, 9:30 AM.

Details

Summary

This patch add __builtin_matrix_column_major_store to Clang,
as described in clang/docs/MatrixTypes.rst. In the initial version,
the stride is not optional yet.

Diff Detail

Event Timeline

fhahn created this revision.Jan 15 2020, 9:30 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 15 2020, 9:30 AM
Herald added a subscriber: tschuett. · View Herald Transcript

Unit tests: unknown.

clang-tidy: unknown.

clang-format: unknown.

Build artifacts: diff.json, console-log.txt

fhahn retitled this revision from [Matrix] Add __builtin_matrix_column_store to Clang (WIP). to [Matrix] Add __builtin_matrix_column_store to Clang..May 13 2020, 4:09 PM
fhahn edited the summary of this revision. (Show Details)
fhahn added reviewers: rjmccall, jfb, rsmith, Bigcheese.
fhahn updated this revision to Diff 263880.May 13 2020, 4:10 PM

ping. Simplify code, extend tests. This should now be ready for review.

fhahn updated this revision to Diff 271401.Jun 17 2020, 9:59 AM

Ping :)

Rebased and applied feedback from D72781.

rjmccall accepted this revision.Jun 17 2020, 11:17 AM

LGTM

clang/include/clang/Basic/DiagnosticSemaKinds.td
10792

You can write %ord0 to get the diagnostic to print 1st, 2nd, etc, if that's acceptable vs. the spelled-out version.

This revision is now accepted and ready to land.Jun 17 2020, 11:17 AM
fhahn updated this revision to Diff 271617.Jun 18 2020, 2:20 AM

Rebased after recent changes landed upstream. Will commit shortly

fhahn marked an inline comment as done.Jun 18 2020, 2:51 AM
fhahn added inline comments.
clang/include/clang/Basic/DiagnosticSemaKinds.td
10792

Thanks for pointing me to %ord! I think most diagnostics for matrixes currently use the spelled out versions, but I'll prepare a follow-up patch to update all matrix diagnostics to consistently use %ord.

This revision was automatically updated to reflect the committed changes.